#include <iostream>
using namespace std;

int main()
{
    int m,n;
    cin>>n>>m;
    long long int a[n][2],b[m][3],c[m],br=0;
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<2; j++)
        {
            cin>>a[i][j];
        }
    }
    for(int i=0; i<m; i++)
    {
        for(int j=0; j<3; j++)
        {
            cin>>b[i][j];
        }
    }
    for(int i=0; i<m; i++)
    {
        br=0;
        int br1=b[i][0]-1;
        int br2=b[i][1]-1;
        int x=b[i][2];
        for(int j=br1; j<=br2; j++)
        {
            if(a[j][0]<=x && x<=a[j][1])
            {
                br++;
            }
        }
        c[i]=br;
    }
    for(int i=0; i<m; i++)
    {
        cout<<c[i]<<endl;
    }
    return 0;
}